Overview
GET
/oauth/providersoauthList OAuth providers (admin)
List providers.
Auth: bearerAuth — calls run as the authenticated user.
Responses
200
OAuth providers
- idstring
- slugstring
- namestring
- authType"oauth2_code" | "oauth2_access_token" | "oidc_id_token"
- authorizeUrloptionalstring?
- tokenUrloptionalstring?
- userinfoUrloptionalstring?
- clientIdstring
- scopesstring[]
- identityMappingobject
Example
[
{
"id": "string",
"slug": "string",
"name": "string",
"authType": "oauth2_code",
"authorizeUrl": "string",
"tokenUrl": "string",
"userinfoUrl": "string",
"clientId": "string",
"scopes": [
"string"
],
"identityMapping": {
"subjectField": "string",
"emailField": "string",
"nameField": "string",
"avatarField": "string",
"verificationUrl": "string",
"jwksUrl": "string",
"requireEmailVerified": true,
"allowedAudiences": [
"string"
],
"secondaryEmailUrl": "string"
}
}
]401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/oauth/providers" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/oauth/providers", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();